/*
***************************************************
*                                                 *
*                 BASE CLASSES                    *
*                                                 *
***************************************************

This is where CObject is defined which all other classes
(except the map) inherit. The map class is in map.h ;)

Author: Gajo Csaba
Date: 25 Feb, 2005
Version: 0.1
*/

#ifndef _basic_h
#define _basic_h

class BITMAP;

class CObject
{
    protected:
        int iMaxImageFrames;
        int iImageFrame;
    public:
        int x;
        int y;
        int w;
        int h;
        BITMAP** ItsPicture;
        CObject();
        virtual void DoAction() = 0;
        virtual void DoDraw() = 0;
};    

#endif
