/*
***************************************************
*                                                 *
*                 GLOBAL VARIABLES                *
*                                                 *
***************************************************

This is where all the units and other items are stored in
lists.

Author: Gajo Csaba
Date: 25 Feb, 2005
Version: 0.2
*/

#ifndef _globals_h
#define _globals_h

#include <list>

#define REQUIRED_LONGITUDE 10  // clean up every 10 frames

using namespace std;

class CUnit;
class CItem;
class CPlayer;
class CMonster;
class CMenu;

extern CPlayer* Player;  // this is our hero
extern CMonster* Troll;
extern list<CUnit*> Bullets;
extern list<CUnit*> Monsters;
extern list<CItem*> Items;
extern CMenu* Menu;   // this is the menu with the controls
extern bool bBookRead;
extern bool bPlayMusic;

// removes dead items from the list
void GarbageCollector();

#endif
